# Poco::Util::Units::Units::Prefix

# template < typename U >

# struct Holder

Library: Util
Package: Units
Header: Poco/Util/Units.h

## Inheritance

Direct Base Classes: Placeholder

All Base Classes: Placeholder

## Member Summary

Member Functions: appendUnit, get

Inherited Functions: appendUnit, get

## Types

### ValueType

typedef Value < typename U::ValueType, typename U::Unit > ValueType;

## Constructors

### Holder

Holder(
const U & val
);

## Member Functions

### appendUnit

void appendUnit(
std::ostream & os
) const;

See also: Poco::Util::Units::Units::Prefix::Placeholder::appendUnit()

### get

double get() const;

See also: Poco::Util::Units::Units::Prefix::Placeholder::get()

## Variables

### _val

ValueType _val;